apiVersion: kubeadm.k8s.io/v1beta3
bootstrapTokens:
- groups:
  - system:bootstrappers:kubeadm:default-node-token
  token: abcdef.0123456789abcdef
  ttl: 24h0m0s
  usages:
  - signing
  - authentication
kind: InitConfiguration
localAPIEndpoint:
  advertiseAddress: LOCALIP #必须修改为当前master节点IP，三节点必须修改
  bindPort: 6443
nodeRegistration:
  criSocket: unix:///run/containerd/containerd.sock #必须修改为自己的
  imagePullPolicy: IfNotPresent
  name: HOSTNAME #主机节点名称 三节点必须修改 
  taints: null
---
apiServer:
  timeoutForControlPlane: 4m0s
  certSANs:  # 包含所有master IP和VIP,新增内容
  - "MASTER01_IP"
  - "MASTER02_IP"
  - "MASTER03_IP"
  - "CLUSTER_VIP"
  - "localhost"
  - "127.0.0.1"
apiVersion: kubeadm.k8s.io/v1beta3
certificatesDir: /etc/kubernetes/pki
clusterName: kubernetes
controllerManager: {}
dns: {}
etcd:
  local:
    dataDir: /var/lib/etcd
imageRepository: registry.cn-hangzhou.aliyuncs.com/google_containers #将registry.k8s.io改为阿里云地址
kind: ClusterConfiguration
kubernetesVersion: K8SVERSION #版本号
controlPlaneEndpoint: "CLUSTER_VIP:CLUSTER_PORT"  #新增: VIP:端口 集群的统一入口
networking:
  dnsDomain: cluster.local
  serviceSubnet: 10.96.0.0/12
  podSubnet: 10.244.0.0/16 #指定pod子网
scheduler: {}
---
# IPVS
apiVersion: kubeproxy.config.k8s.io/v1alpha1
kind: KubeProxyConfiguration
mode: ipvs
